Package org.apache.tapestry5.corelib.pages

## Class ExceptionReport.ThreadInfo

- java.lang.Object
- - org.apache.tapestry5.corelib.pages.ExceptionReport.ThreadInfo

- All Implemented Interfaces:
    `java.lang.Comparable<ExceptionReport.ThreadInfo>`
  Enclosing class:
    ExceptionReport

      public class ExceptionReport.ThreadInfo
      extends java.lang.Object
      implements java.lang.Comparable<ExceptionReport.ThreadInfo>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `className` |
    `java.lang.String` | `flags` |
    `java.lang.ThreadGroup` | `group` |
    `java.lang.String` | `name` |
    `java.lang.String` | `state` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThreadInfo​(java.lang.String className, java.lang.String name, java.lang.String state, java.lang.String flags, java.lang.ThreadGroup group)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(ExceptionReport.ThreadInfo o)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          public final java.lang.String className

    - #### name

          public final java.lang.String name

    - #### state

          public final java.lang.String state

    - #### flags

          public final java.lang.String flags

    - #### group

          public final java.lang.ThreadGroup group

  - ### Constructor Detail

    - #### ThreadInfo

          public ThreadInfo​(java.lang.String className,
                            java.lang.String name,
                            java.lang.String state,
                            java.lang.String flags,
                            java.lang.ThreadGroup group)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(ExceptionReport.ThreadInfo o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ExceptionReport.ThreadInfo>`